html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    background-image: url(/img/intro/fondo_intro.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

}




.contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.botones {
    display: flex;
    flex-direction: column;
    align-items: center;

}

.boton {
    font-family: "Press Start 2P";
    margin-bottom: 50px;
    padding: 10px 20px;
    position: relative;
    width: 120px;
    height: 40px;
    background-color: #000;
    display: flex;
    align-items: center;
    color: white;
    flex-direction: column;
    justify-content: center;
    border: none;
    padding: 12px;
    gap: 12px;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
}

.boton::before {
    content: '';
    position: absolute;
    inset: 0;
    left: -4px;
    top: -1px;
    margin: auto;
    width: 128px;
    height: 48px;
    border-radius: 10px;
    background: linear-gradient(-45deg, #e81cff 0%, #40c9ff 100%);
    z-index: -10;
    pointer-events: none;
    transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.boton::after {
    content: "";
    z-index: -1;
    position: absolute;
    inset: 0;
    background: linear-gradient(-45deg, #fc00ff 0%, #00dbde 100%);
    transform: translate3d(0, 0, 0) scale(0.95);
    filter: blur(20px);
}

.boton:hover::after {
    filter: blur(30px);
}

.boton:hover::before {
    transform: rotate(-180deg);
}

.footer {
    padding: 20px;
    text-align: center;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    float: right;
    margin-left: 20px;
    width: 100px;
    height: auto;
}